CREATE TABLE iex_strategy_assignment_matrix (
    STRATEGY_ASSIGNMENT_MATRIX_ID    NUMBER(18, 0) ,
    STRATEGY_ASSIGN_MATRIX_NAME      VARCHAR2(1024),
    BUSINESS_LEVEL_CODE              VARCHAR2(120)     NOT NULL,
    BU_ID                            NUMBER(18, 0)     NOT NULL,
    PROFILE_CLASS_ID                 NUMBER(18, 0)     NOT NULL,
    SCORE_FORMULA_ID                 NUMBER(18, 0)     NOT NULL,
    STRATEGY_GROUP_ID                NUMBER(18, 0)     NOT NULL,
    LOW_SEGMENT_AMOUNT               NUMBER        ,
    LOW_SEGMENT_CURRENCY_CODE        VARCHAR2(60)  ,
    LOW_STRATEGY_GROUP_ID            NUMBER(18, 0) ,
    HIGH_SEGMENT_AMOUNT              NUMBER        ,
    HIGH_SEGMENT_CURRENCY_CODE       VARCHAR2(60)  ,
    HIGH_STRATEGY_GROUP_ID           NUMBER        ,
    START_DATE                       DATE              NOT NULL,
    END_DATE                         DATE          ,
    ENABLED_FLAG                     VARCHAR2(4)       NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    PREDELINQ_FLAG                   VARCHAR2(4)   ,
    PREDELINQ_AMOUNT                 NUMBER        ,
    PREDELINQ_CURRENCY_CODE          VARCHAR2(60)  ,
    PREDELINQ_STRATEGY_GROUP_ID      NUMBER(18, 0) ,
    PREDELINQ_DAYS                   NUMBER        ,
    ATTRIBUTE_CATEGORY               VARCHAR2(600) ,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(600) ,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    STRATEGY_ASSIGNMENT_MATRIX_ID    NUMBER(18, 0) ,
    STRATEGY_ASSIGN_MATRIX_NAME      VARCHAR2(1024),
    BUSINESS_LEVEL_CODE              VARCHAR2(120)     NOT NULL,
    BU_ID                            NUMBER(18, 0)     NOT NULL,
    PROFILE_CLASS_ID                 NUMBER(18, 0)     NOT NULL,
    SCORE_FORMULA_ID                 NUMBER(18, 0)     NOT NULL,
    STRATEGY_GROUP_ID                NUMBER(18, 0)     NOT NULL,
    LOW_SEGMENT_AMOUNT               NUMBER        ,
    LOW_SEGMENT_CURRENCY_CODE        VARCHAR2(60)  ,
    LOW_STRATEGY_GROUP_ID            NUMBER(18, 0) ,
    HIGH_SEGMENT_AMOUNT              NUMBER        ,
    HIGH_SEGMENT_CURRENCY_CODE       VARCHAR2(60)  ,
    HIGH_STRATEGY_GROUP_ID           NUMBER        ,
    START_DATE                       DATE              NOT NULL,
    END_DATE                         DATE          ,
    ENABLED_FLAG                     VARCHAR2(4)       NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    PREDELINQ_FLAG                   VARCHAR2(4)   ,
    PREDELINQ_AMOUNT                 NUMBER        ,
    PREDELINQ_CURRENCY_CODE          VARCHAR2(60)  ,
    PREDELINQ_STRATEGY_GROUP_ID      NUMBER(18, 0) ,
    PREDELINQ_DAYS                   NUMBER        ,
    ATTRIBUTE_CATEGORY               VARCHAR2(600) ,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(600) ,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_iex_strategy_assignment_matrix PRIMARY KEY (STRATEGY_ASSIGNMENT_MATRIX_ID, STRATEGY_ASSIGNMENT_MATRIX_ID)
);
